KLA12587
Multiple vulnerabilities in Opera

Updated: 07/15/2022
Detect date
?
07/14/2022
Severity
?
High
Description

Multiple vulnerabilities were found in Opera. Malicious users can exploit these vulnerabilities to execute arbitrary code, cause denial of service.

Below is a complete list of vulnerabilities:

  1. Heap buffer overflow vulnerability in WebRTC can be exploited to cause denial of service or execute arbitrary code.
  2. Use after free vulnerability in Chrome OS Shell can be exploited to cause denial of service or execute arbitrary code.
  3. Type Confusion vulnerability in V8 can be exploited to cause denial of service.
Affected products

Opera earlier than 89.0.4447.48

Solution

Update to the latest version
Download Opera

Original advisories

Changelog for 89
Stable Channel Update for Desktop

Impacts
?
ACE 
[?]

DoS 
[?]
Related products
Opera
Find out the statistics of the vulnerabilities spreading in your region